<?php
	require "config.inc.php";
	require "db.inc.php";
	require "tools.inc.php";
?>
<HTML>
<HEAD>
<TITLE>Greylisted hosts/domains</TITLE>
<BODY>
<TABLE WIDTH=100% HEIGHT=100%><TR VALIGN=CENTER><TD ALIGN=CENTER>

<H1>Greylisted hosts/domains</H1>

<?php
# mysql> describe connect;
# +---------------+---------------+------+-----+---------+-------+
# | Field         | Type          | Null | Key | Default | Extra |
# +---------------+---------------+------+-----+---------+-------+
# | sender_name   | varchar(64)   |      |     |         |       |
# | sender_domain | varchar(255)  |      |     |         |       |
# | src           | varchar(39)   |      | MUL |         |       |
# | rcpt          | varchar(255)  |      |     |         |       |
# | first_seen    | timestamp(14) | YES  | MUL | NULL    |       |
# +---------------+---------------+------+-----+---------+-------+
# 5 rows in set (0.00 sec)
?>

<?php
	$csort = $_GET["csort"];
	$sort = $_GET["sort"];

	if ($sort==null || $sort=="")
	  $sort = "sender_name";

	$dir = "asc";
	$ndir = "desc";
	if ($sort == $csort && $_GET["order"] == "desc")
	{
		$dir = "desc";
		$ndir = "asc";
	}
?>

<TABLE>
<TR>
<TD><B><A HREF="connect.php?sort=sender_name&csort=<?php print $sort; ?>&order=<?php print $ndir; ?>">Sender name</A></B></TD>
<TD><B><A HREF="connect.php?sort=sender_domain&csort=<?php print $sort; ?>&order=<?php print $ndir; ?>">Sender domain</A></B></TD>
<TD><B><A HREF="connect.php?sort=src&csort=<?php print $sort; ?>&order=<?php print $ndir; ?>">IP address</A></B></TD>
<TD><B><A HREF="connect.php?sort=rcpt&csort=<?php print $sort; ?>&order=<?php print $ndir; ?>">Recipient</A></B></TD>
<TD><B><A HREF="connect.php?sort=first_seen&csort=<?php print $sort; ?>&order=<?php print $ndir; ?>">Seen at</A></B></TD>
<TD></TD>
<TD></TD>
</TR>
<?php
	if ($sort == "sender_name")
	  $order = "sender_name ".$dir.", sender_domain ".$dir;
	else if ($sort == "sender_domain")
	  $order = "sender_domain ".$dir.", sender_name ".$dir;
	else 
	  $order = $sort." ".$dir;
	$query = "SELECT sender_name, sender_domain, src, rcpt, first_seen FROM connect ORDER BY ".$order;
	$result = do_query($query);
	while($line = fetch_row($result))
	{
		?><TR><?php
		?><TD><?php print $line["sender_name"]; ?></TD><?php
		?><TD><?php print $line["sender_domain"]; ?></TD><?php
		?><TD><?php print $line["src"]; ?></TD><?php
		?><TD><?php print $line["rcpt"]; ?></TD><?php
		?><TD><?php print $line["first_seen"]; ?></TD><?php
		?><TD><A HREF="connect_delete.php?sender_name=<?php print enchttp($line["sender_name"]); ?>&sender_domain=<?php print enchttp($line["sender_domain"]); ?>&src=<?php print enchttp($line["src"]); ?>&rcpt=<?php print enchttp($line["rcpt"]); ?>">Forget</A></TD><?php
		?><TD><A HREF="connect_whitelist.php?sender_name=<?php print enchttp($line["sender_name"]); ?>&sender_domain=<?php print enchttp($line["sender_domain"]); ?>&src=<?php print enchttp($line["src"]); ?>&rcpt=<?php print enchttp($line["rcpt"]); ?>">Move to white list</A></TD><?php
		?></TR><?php
		print "\n";
	}
?>
</TABLE>
<BR>
<BR>

<H2>Delete older than...</H2>
<FORM ACTION="connect_purge.php" METHOD="POST">
<TABLE>
<TR>
<TD><INPUT TYPE="VALUE" VALUE="0" NAME="year" WIDTH=4 SIZE=4>-</TD>
<TD><INPUT TYPE="VALUE" VALUE="0" NAME="month" WIDTH=4 SIZE=4>-</TD>
<TD><INPUT TYPE="VALUE" VALUE="0" NAME="day" WIDTH=4 SIZE=4> </TD>
<TD><INPUT TYPE="VALUE" VALUE="0" NAME="hour" WIDTH=4 SIZE=4>:</TD>
<TD><INPUT TYPE="VALUE" VALUE="0" NAME="minute" WIDTH=4 SIZE=4>:</TD>
<TD><INPUT TYPE="VALUE" VALUE="0" NAME="seconds" WIDTH=4 SIZE=4></TD>
</TR>
</TABLE>
<INPUT TYPE="SUBMIT" VALUE="Delete">
</FORM>
<BR>
<BR>

<A HREF="index.php">Main menu</A><BR>

<BR>
<BR>

</TD></TR>

<?php require "copyright.inc.php" ?>

</TABLE>
</BODY>
</HTML>
